#include <Utilities/RGBABytes.hpp>

glm::vec4 RGBABytes::toNormalizedVec() const
{
    return glm::vec4(
        static_cast<float>(red) / 255.0f,
        static_cast<float>(green) / 255.0f,
        static_cast<float>(blue) / 255.0f,
        static_cast<float>(alpha) / 255.0f
    );
}